//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaDetail
    {
        public int Id { get; set; }
        public Nullable<int> CourseId { get; set; }
        public Nullable<int> PackageId { get; set; }
        [Required(ErrorMessage="*")]
        public Nullable<double> InstallAmt { get; set; }
        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> EnterDate { get; set; }
        public string EnterBy { get; set; }
        [Required(ErrorMessage="*")]
        public Nullable<int> InstallmentNo { get; set; }
        [Required(ErrorMessage="*")]
        public Nullable<int> NextDurationDays { get; set; }
        
        
        public virtual MaCourse MaCourse { get; set; }
        public virtual MaPackage MaPackage { get; set; }

    }
}
